<fieldset class="form-group">
  <div class="row">
    <div class="col-12 col-lg-8">
      <label for={{this.elementId}}>{{@label}}</label>
      {{#if @hint}}
        <span class="tooltip-container">
          <BsTooltip @title={{@hint}} />
          <FaIcon class="text-info" @icon="question-circle" />
        </span>
      {{/if}}
    </div>
    <div class="col-12 col-lg-4">
      <@form.element @onChange={{this.dummyAction}} class="mb-1" as |el|>
        <el.control
          class="text-right"
          inputmode="numeric"
          {{imask-currency
            this.currentValue
            this.application.currency
            fractionDigits=this.application.currency.fractionDigits
            onChange=this.setValue
            min=0
            max=@valueMax
          }}
        />
      </@form.element>
    </div>
  </div>
  <input
    id={{this.elementId}}
    class="custom-range"
    min="0"
    max={{@valueMax}}
    step={{@step}}
    type="range"
    value={{this.currentValue}}
    {{on "change" this.handleRangeInputOnChange}}
    {{on "input" this.handleRangeInputOnInput}}
  />
</fieldset>